Name:           cppcms
Version:        1.0.4
Release:        5%{?dist}
Summary:        CppCMS is a Free High Performance Web Development Framework
License:        LGPLv3+
URL:            http://cppcms.com/
Source0:        http://downloads.sourceforge.net/project/%{name}/%{name}/%{version}/%{name}-%{version}.tar.bz2
Patch0:         cppcms-doxygen.patch
#Patch1:         cppcms-boost.patch

## http://cppcms.com/wikipp/en/page/cppcms_1x_build
BuildRequires:  cmake zlib-devel pcre-devel libicu-devel libgcrypt-devel
#BuildRequires:  openssl-devel

## embedded booster should be replaced with usage of boost
BuildRequires:  python
#BuildRequires:  boost-devel
Requires:       booster

## generate our own doxygen, e.g. with manpages
BuildRequires:  doxygen 


%description
CppCMS is a Free High Performance Web Development Framework (not a CMS)
aimed at Rapid Web Application Development. It differs from most other 
web development frameworks like: Python Django, Java Servlets.


%package -n booster
Summary:  Booster is a fork of boost done by the developers of CppCMS
Requires: %{name}


%description -n booster
Booster is a fork of boost done by the developers of CppCMS.


%package devel
Summary:   Development files of CppCMS
BuildArch: noarch
Requires:  %{name}

%description devel
Development files for CppCMS.


%package doc
Summary:   Documentation for CppCMS
BuildArch: noarch
Requires:  %{name}-devel

%description doc
Extra documentation and some examples for CppCMS.


%prep
%setup -q
%patch0 -p1
## use fedora boost instead of booster
#%patch1 -p1
doxygen -u
## remove booster fork
#rm -rf booster/
#rm -rf tools/

%build
%cmake -DDISABLE_STATIC=ON -DLIBDIR=%{_lib}
make %{?_smp_mflags}
doxygen

%check
#make test

%install
rm -rf $RPM_BUILD_ROOT
## don't keep doxygen sources
find . -name *.doxy -delete
find . -name *.sh -delete
%make_install
mkdir -p %{buildroot}%{_mandir}
cp -pr doc/doxygen/man/* %{buildroot}%{_mandir}


%files 
%{_bindir}/cppcms_*
%{_libdir}/libcppcms.so
%{_libdir}/libcppcms.so.*
%doc COPYING.TXT LGPLv3.txt THIRD_PARTY_SOFTWARE.TXT

%files -n booster
%{_libdir}/libbooster.so*

%files devel
%{_includedir}/*
%{_mandir}/*
%doc doc/architecture.txt
%doc doc/doxygen/html/

%files doc
%doc doc/doxygen/latex/
%doc examples/


%changelog
* Wed Sep 10 2014 Raphael Groner <projects.rg [AT] smart.ms> - 1.0.4-3
- booster as subpackage, temporarily
- description cleanup
- noarch packages

* Sat Jun 07 2014 Raphael Groner <projects.rg [AT] smart.ms> - 1.0.4-2
- use %{_lib} for architecture build
- support for openssl (?)
- only shared lib (no *.a statics)
- reorganization of files
- TODO: unbundle boost (remove booster)

* Sun Jun 01 2014 Raphael Groner <projects.rg [AT] smart.ms> - 1.0.4-1
- Initial
